<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array();
abstract class ValueNode extends Node
{
    protected $value;
    public function Children() : array
    {
        return [];
    }
    public function Name() : string
    {
        return (string) $this->value;
    }
    public function Value()
    {
        return $this->value;
    }
}